# PROTOCOL\_COMPLETED

```graphql
interface IProtocolAction {
    id:string
    companyId: string;
    protocolType?: string;
    protocolVersion?: string;
    protocolVersion: ProtocolVersion
    companyId: string
    propertyId: string
    unitId: string
    documentId: string
    additionalNotes: string
    moveInExtraInformation: MoveInExtraInformation
    moveOutExtraInformation: MoveOutExtraInformation
    sellingExtraInformation: SellingExtraInformation
    uploadsRootId: string
    draftId: string
    protocolType: ProtocolType
    createdAt: string
    updatedAt: string
    deletedAt: string
    property: {
        id:string
        }
    unit: {
        id : string
       }
    company: {
        id:string
      }
    rooms: [ProtocolRoom]
    meters: [ProtocolMeter]
    keysets: [ProtocolKeyset]
    persons: [ProtocolPerson]
    signatureAcknowledgementText: string
 }

enum ProtocolType {
  MOVE_IN
  MOVE_OUT
  SELLING
  PRE_MOVE_OUT
}

enum ProtocolVersion {
  V1
  V2
}

type ProtocolMeter {
  id: string
  protocolId: string
  unitMeterId: string
  stand: string
  type: ProtocolMeterType
  number: string
  pictures: [File]
}

type ProtocolKeyset {
  id: id
  protocolId: string
  unitKeysetId: string
  quantity: number
  type: ProtocolKeysetType
  model: string
  pictures: [File]
  keyNumbers: [ProtocolKeyNumber]
}

type ProtocolPerson {
  id: id
  protocolId: string
  companyContactId: string
  email: string
  firstName: string
  lastName: string
  phoneNumber: string
}

```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/webhooks/protocol-events/protocol_completed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
